fsg_link_s Struct Reference

## Data Fields

int32 | from_state
int32 | to_state
int32 | logs2prob
| log(transition probability)*lw
int32 | wid
| Word-ID; <0 if epsilon or null transition.

## Detailed Description

Definition at line 66 of file fsg_model.h.

## Field Documentation

## from_state

int32 fsg_link_s::from_state

Definition at line 67 of file fsg_model.h.

## logs2prob

int32 fsg_link_s::logs2prob

log(transition probability)*lw

Definition at line 69 of file fsg_model.h.

## to_state

int32 fsg_link_s::to_state

Definition at line 68 of file fsg_model.h.

## wid

int32 fsg_link_s::wid

Word-ID; <0 if epsilon or null transition.

Definition at line 70 of file fsg_model.h.

The documentation for this struct was generated from the following file:

- include/sphinxbase/fsg_model.h